<bugID>1227527<Summary>Initial implementation of Firefox Accounts device registration</Summary><Description>There are a lot of different bugs open for FxA device registration and tracking them individually is a pain in the bum. So I'm creating this to cover the initial feature set that I plan to implement / get reviewed. I'll shortly close out those it obsoletes as duplicates of this issue (and leave those it doesn't obsolete alone).

The scope of this issue is to:

* implement a device API client object
* via calls to the aforementioned object, make the following API requests:
  * POST /account/device
    * after a signed-in user opens the browser
    * after a user signs up for Sync
    * after a user signs in to Sync
    * after editing the device name
  * POST /account/device/destroy
    * after the user disconnects Sync
* send a WebChannel message after the user disconnects Sync
* subscribe to a `fxaccounts:deleteDevice` WebChannel message
  and delete the locally-stored device id in the message handler
* accept a device id parameter in `fxaccounts:login` messages

Things that this issue will not cover:

* #1221111, sending WebChannel events for device name changes
  (the content server UI will have a refresh button)
* #1221125, subscribing to WebChannel events for device name changes
  (the content server UI will not support renaming)
* #1221105, fetching updated device details from the auth server on startup
  (the content server UI will not support renaming)
* push notifications from the auth server</Description></bugID>